Closed Bug 1573211 Opened 1 year ago Closed 4 months ago

Update to LLVM 9.0.0 (xLTO with rust 1.38 requires it)

Categories

(Firefox Build System :: Toolchains, task)

task
Not set

Tracking

(firefox71 fixed)

RESOLVED FIXED
mozilla71
Tracking Status
firefox71 --- fixed

People

(Reporter: dmajor, Assigned: dmajor)

References

(Blocks 3 open bugs)

Details

Attachments

(1 file)

47 bytes, text/x-phabricator-request
Details | Review

Looks like rust has switched to the 9.0.0 release branch, and its IR is incompatible with 8.0.0. We'll need to update our clang builds.

[task 2019-08-09T21:43:39.565Z] 21:43:39 INFO - lld-link: error: Unknown attribute kind (60) (Producer: 'LLVM9.0.0-rust-1.38.0-nightly' Reader: 'LLVM 8.0.0')

Depends on: 1573501
Blocks: 1574534
Depends on: 1574565
Depends on: 1574573
Depends on: 1574578
Depends on: 1577528
Attached file Update to clang 9.0.0

Updates all clang 8.0.1 to version 9.0.0, except for the mingw builds which suffer from bug 1548624 and will be handled separately later.

Summary: xLTO with rust 1.38 will require LLVM 9 → Update to LLVM 9.0.0 (xLTO with rust 1.38 requires it)
Assignee: nobody → dmajor
Depends on: 1578775
Attachment #9089383 - Attachment description: Update to clang 9.0.0 [PRELIMINARY PATCH] → Update to clang 9.0.0
Blocks: 1582598
Depends on: 1583138
Pushed by bpostelnicu@mozilla.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/587463567434
MANUAL PUSH: Fix for Bug 1573211 - Re-generate the autotest results for clang-tidy analysis. r=myself.
Regressions: 1583907
See Also: → 1583934
Status: NEW → RESOLVED
Closed: 5 months ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla71
See Also: → 1584217
Regressions: 1584175
Regressions: 1584240

Backed out 2 changesets (bug 1573211) as requested by dmajor on irc

Backout: https://hg.mozilla.org/integration/autoland/rev/a3d9784a3b3326edc67c95699227b5fa684183d9

Status: RESOLVED → REOPENED
Flags: needinfo?(dmajor)
Resolution: FIXED → ---
Target Milestone: mozilla71 → ---

This push:
(In reply to Pulsebot from comment #3)

Pushed by bpostelnicu@mozilla.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/587463567434
MANUAL PUSH: Fix for Bug 1573211 - Re-generate the autotest results for
clang-tidy analysis. r=myself.

caused this improvement:
== Change summary for alert #23226 (as of Wed, 25 Sep 2019 22:42:03 GMT) ==

Improvements:

6% perf_reftest_singletons parent-basic-singleton.html windows7-32-shippable opt e10s stylo 99.80 -> 93.64

For up to date results, see: https://treeherder.mozilla.org/perf.html#/alerts?id=23226

and this push:(In reply to Cristina Coroiu [:ccoroiu] from comment #5)

Backed out 2 changesets (bug 1573211) as requested by dmajor on irc

Backout: https://hg.mozilla.org/integration/autoland/rev/a3d9784a3b3326edc67c95699227b5fa684183d9

caused this regression:
== Change summary for alert #23249 (as of Thu, 26 Sep 2019 19:07:31 GMT) ==

Regressions:

7% perf_reftest_singletons parent-basic-singleton.html windows7-32-shippable opt e10s stylo 93.73 -> 100.15

For up to date results, see: https://treeherder.mozilla.org/perf.html#/alerts?id=23249

This also caused regressions on Raptor

== Change summary for alert #23260 (as of Fri, 27 Sep 2019 09:06:52 GMT) ==

Regressions:

8% raptor-tp6-linkedin-firefox fcp linux64-shippable opt 436.35 -> 472.27

For up to date results, see: https://treeherder.mozilla.org/perf.html#/alerts?id=23260

And the downstream in Autoland
== Change summary for alert #23239 (as of Thu, 26 Sep 2019 10:35:40 GMT) ==

Regressions:

7% raptor-tp6-linkedin-firefox fcp linux64-shippable opt 434.48 -> 464.04
6% raptor-tp6-linkedin-firefox fcp linux64-shippable-qr opt 458.58 -> 488.04
6% raptor-tp6-linkedin-firefox linux64-shippable opt 554.01 -> 586.30
6% raptor-tp6-linkedin-firefox linux64-shippable-qr opt 586.28 -> 619.39
4% raptor-tp6-yahoo-mail-firefox loadtime linux64-shippable-qr opt 425.31 -> 444.29
4% raptor-tp6-yandex-firefox loadtime linux64-shippable opt 206.60 -> 214.08
4% raptor-tp6-google-mail-firefox loadtime linux64-shippable opt 410.58 -> 425.42
3% raptor-tp6-facebook-firefox linux64-shippable-qr opt 310.92 -> 321.46
3% raptor-tp6-yahoo-news-firefox fcp linux64-shippable-qr opt 346.58 -> 357.75
3% raptor-tp6-netflix-firefox linux64-shippable-qr opt 427.40 -> 439.42
3% raptor-tp6-imgur-firefox loadtime linux64-shippable-qr opt 396.17 -> 407.21
3% raptor-tp6-netflix-firefox fcp linux64-shippable-qr opt 352.83 -> 362.54
3% raptor-tp6-facebook-firefox-cold fcp linux64-shippable-qr opt 365.96 -> 375.92
3% raptor-tp6-imgur-firefox linux64-shippable-qr opt 286.46 -> 294.21
3% raptor-tp6-facebook-firefox-cold linux64-shippable-qr opt 432.06 -> 443.36
3% raptor-tp6-facebook-firefox loadtime linux64-shippable-qr opt 415.44 -> 426.25
3% raptor-tp6-tumblr-firefox loadtime linux64-shippable-qr opt 638.33 -> 654.88
2% raptor-tp6-facebook-firefox-cold loadtime linux64-shippable opt 831.54 -> 851.75
2% raptor-tp6-tumblr-firefox loadtime linux64-shippable opt 614.62 -> 628.25

For up to date results, see: https://treeherder.mozilla.org/perf.html#/alerts?id=23239

The backout made stuff return to normal:

== Change summary for alert #23255 (as of Fri, 27 Sep 2019 05:35:27 GMT) ==

Improvements:

7% raptor-tp6-linkedin-firefox fcp linux64-shippable opt 467.12 -> 433.38
7% raptor-tp6-linkedin-firefox fcp linux64-shippable opt 461.96 -> 431.75
6% raptor-tp6-binast-instagram-firefox linux64-shippable opt 242.80 -> 227.44
6% raptor-tp6-linkedin-firefox linux64-shippable opt 588.67 -> 552.17
6% raptor-tp6-linkedin-firefox fcp linux64-shippable-qr opt 489.88 -> 460.42
6% raptor-tp6-binast-instagram-firefox linux64-shippable-qr opt 242.12 -> 228.09
6% raptor-tp6-linkedin-firefox linux64-shippable-qr opt 621.60 -> 587.42
5% raptor-tp6-instagram-firefox linux64-shippable opt 254.82 -> 241.75
4% raptor-tp6-yahoo-mail-firefox loadtime linux64-shippable-qr opt 445.15 -> 427.96
4% raptor-tp6-google-mail-firefox loadtime linux64-shippable opt 425.88 -> 410.04
4% raptor-tp6-yahoo-mail-firefox loadtime linux64-shippable opt 424.00 -> 408.67
3% raptor-tp6-yahoo-news-firefox fcp linux64-shippable-qr opt 358.15 -> 346.21
3% raptor-tp6-netflix-firefox fcp linux64-shippable-qr opt 362.82 -> 351.67
3% raptor-tp6-netflix-firefox linux64-shippable-qr opt 439.63 -> 426.95
3% raptor-tp6-facebook-firefox-cold fcp linux64-shippable-qr opt 377.80 -> 367.00
3% raptor-tp6-imgur-firefox loadtime linux64-shippable-qr opt 407.85 -> 396.46
3% raptor-tp6-facebook-firefox-cold linux64-shippable-qr opt 444.22 -> 432.34
2% raptor-tp6-facebook-firefox-cold loadtime linux64-shippable opt 853.06 -> 832.67
2% raptor-tp6-yahoo-news-firefox linux64-shippable-qr opt 391.87 -> 382.62
2% raptor-tp6-sheets-firefox fcp linux64-shippable-qr opt 414.69 -> 405.00
2% raptor-tp6-facebook-firefox-cold loadtime linux64-shippable-qr opt 866.42 -> 847.50
2% raptor-tp6-wikipedia-firefox linux64-shippable opt 555.84 -> 544.23

For up to date results, see: https://treeherder.mozilla.org/perf.html#/alerts?id=23255

Regressions: 1584058
Status: REOPENED → RESOLVED
Closed: 5 months ago4 months ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla71

== Change summary for alert #23417 (as of Thu, 10 Oct 2019 17:27:23 GMT) ==

Improvements:

7% perf_reftest_singletons id-getter-4.html windows10-64-shippable opt e10s stylo 510.08 -> 474.51
7% perf_reftest_singletons parent-basic-singleton.html windows7-32-shippable opt e10s stylo 101.19 -> 94.15
7% perf_reftest_singletons id-getter-3.html windows10-64-shippable opt e10s stylo 508.77 -> 473.65
7% perf_reftest_singletons id-getter-3.html windows10-64-shippable-qr opt e10s stylo 508.63 -> 473.62
7% perf_reftest_singletons id-getter-6.html windows10-64-shippable-qr opt e10s stylo 508.59 -> 473.84
7% perf_reftest_singletons id-getter-7.html windows10-64-shippable-qr opt e10s stylo 508.39 -> 473.72
7% perf_reftest_singletons id-getter-5.html windows10-64-shippable opt e10s stylo 508.46 -> 473.82
7% perf_reftest_singletons id-getter-7.html windows10-64-shippable opt e10s stylo 507.85 -> 473.55
7% perf_reftest_singletons id-getter-4.html windows10-64-shippable-qr opt e10s stylo 508.18 -> 473.94
7% perf_reftest_singletons id-getter-1.html windows10-64-shippable-qr opt e10s stylo 510.47 -> 476.09
7% perf_reftest_singletons id-getter-5.html windows10-64-shippable-qr opt e10s stylo 508.90 -> 475.57
6% perf_reftest_singletons id-getter-6.html windows10-64-shippable opt e10s stylo 505.12 -> 472.93
6% perf_reftest_singletons id-getter-1.html windows10-64-shippable opt e10s stylo 510.46 -> 478.78

For up to date results, see: https://treeherder.mozilla.org/perf.html#/alerts?id=23417

Flags: needinfo?(dmajor)
Regressions: 1591262
You need to log in before you can comment on or make changes to this bug.